import {FormRequest, ValidationRules} from '../../forms'
import {Is, Str} from '../../forms/rules/rules'
import {Singleton} from '../../di'

export interface BasicLoginCredentials {
    username: string,
    password: string,
}

@Singleton()
export class BasicLoginFormRequest extends FormRequest<BasicLoginCredentials> {
    protected getRules(): ValidationRules {
        return {
            username: [
                Is.required,
                Str.lengthMin(1),
            ],
            password: [
                Is.required,
                Str.lengthMin(1),
            ],
        }
    }
}
